Bug 176380 - New port: www/py-falcon - High-performance Python framework for building cloud APIs
Summary: New port: www/py-falcon - High-performance Python framework for building clou...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-23 21:20 UTC by lichray
Modified: 2013-03-14 11:50 UTC (History)
0 users

See Also:


Attachments
py-falcon.shar (7.04 KB, text/plain)
2013-02-23 21:20 UTC, lichray
no flags Details
py-falcon_1.shar (7.16 KB, application/x-shar)
2013-02-25 16:02 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2013-02-23 21:20:00 UTC
	
	http://falconframework.org/
Comment 1 Edwin Groothuis freebsd_committer 2013-02-23 21:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-02-23 21:49:21 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 lichray 2013-02-25 16:02:13 UTC
Dependencies are fixed.  py-six is needed at runtime.

-- 
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 dfilter service freebsd_committer 2013-03-14 11:38:24 UTC
Author: miwi
Date: Thu Mar 14 11:38:15 2013
New Revision: 314148
URL: http://svnweb.freebsd.org/changeset/ports/314148

Log:
  Falcon is a high-performance Python framework for building cloud APIs.
  It tries to do as little as possible while remaining highly effective.
  
  WWW: http://falconframework.org/
  
  PR:		ports/176380
  Submitted by:	Zhihao Yuan <lichray@gmail.com>

Added:
  head/www/py-falcon/
  head/www/py-falcon/Makefile   (contents, props changed)
  head/www/py-falcon/distinfo   (contents, props changed)
  head/www/py-falcon/pkg-descr   (contents, props changed)
  head/www/py-falcon/pkg-plist   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Thu Mar 14 11:35:58 2013	(r314147)
+++ head/www/Makefile	Thu Mar 14 11:38:15 2013	(r314148)
@@ -1511,6 +1511,7 @@
     SUBDIR += py-dojango
     SUBDIR += py-dotcloud.cli
     SUBDIR += py-dtflickr
+    SUBDIR += py-falcon
     SUBDIR += py-fcgi
     SUBDIR += py-fedex
     SUBDIR += py-feedfinder

Added: head/www/py-falcon/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-falcon/Makefile	Thu Mar 14 11:38:15 2013	(r314148)
@@ -0,0 +1,24 @@
+# Created by: Zhihao Yuan <lichray@gmail.com>
+# $FreeBSD$
+#
+
+PORTNAME=	falcon
+PORTVERSION=	0.1.1
+CATEGORIES=	www python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	lichray@gmail.com
+COMMENT=	High-performance Python framework for building cloud APIs
+
+LICENSE=	AL2
+
+BUILD_DEPENDS=	cython>=0.11.2:${PORTSDIR}/lang/cython
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}testtools>=0:${PORTSDIR}/devel/py-testtools \
+		${PYTHON_PKGNAMEPREFIX}six>=1.1.0:${PORTSDIR}/devel/py-six
+
+USE_PYTHON=	2.7+
+USE_PYDISTUTILS=	easy_install
+PYEASYINSTALL_ARCHDEP=	yes
+
+.include <bsd.port.mk>

Added: head/www/py-falcon/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-falcon/distinfo	Thu Mar 14 11:38:15 2013	(r314148)
@@ -0,0 +1,2 @@
+SHA256 (falcon-0.1.1.tar.gz) = ae8c808fda19e8d05f1bdd6ac3f70451992c8c001840830fbba3f0e907390bdc
+SIZE (falcon-0.1.1.tar.gz) = 19789

Added: head/www/py-falcon/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-falcon/pkg-descr	Thu Mar 14 11:38:15 2013	(r314148)
@@ -0,0 +1,4 @@
+Falcon is a high-performance Python framework for building cloud APIs.
+It tries to do as little as possible while remaining highly effective.
+
+WWW: http://falconframework.org/

Added: head/www/py-falcon/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-falcon/pkg-plist	Thu Mar 14 11:38:15 2013	(r314148)
@@ -0,0 +1,80 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/native_libs.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api_helpers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api_helpers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api_helpers.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/api_helpers.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/exceptions.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/hooks.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/hooks.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/hooks.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/http_error.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/http_error.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/http_error.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/http_error.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/methods.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/methods.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/methods.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request_helpers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request_helpers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request_helpers.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/request_helpers.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/responders.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/responders.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/responders.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/responders.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response_helpers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response_helpers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response_helpers.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/response_helpers.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/status_codes.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/status_codes.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/status_codes.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/helpers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/helpers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/helpers.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/srmock.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/srmock.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/srmock.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_resource.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_resource.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_resource.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_suite.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_suite.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing/test_suite.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/version.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/version.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/version.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon/testing
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/falcon
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2013-03-14 11:50:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!